Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class InvalidDatatypeFacetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.apache.xerces.validators.datatype.XMLException
                        |
                        +--weblogic.apache.xerces.validators.datatype.InvalidDatatypeFacetException

public class InvalidDatatypeFacetException
extends XMLException

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: InvalidDatatypeFacetException.java,v 1.3 2000/08/11 02:12:02 jeffreyr Exp $
Author:
  Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`InvalidDatatypeFacetException()`
`InvalidDatatypeFacetException(java.lang.Exception exception)`
`InvalidDatatypeFacetException(java.lang.String message)`
`InvalidDatatypeFacetException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`int` | `getMajorCode()`
`int` | `getMinorCode()`
`void` | `setMajorCode(int code)`
`void` | `setMinorCode(int code)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.XMLException
`getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException()

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String message)

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.Exception exception)

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String message,
                                         java.lang.Exception exception)

Method Detail

### getMinorCode

    public int getMinorCode()

### getMajorCode

    public int getMajorCode()

### setMinorCode

    public void setMinorCode(int code)

### setMajorCode

    public void setMajorCode(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD